{
    onTryHit(target, source, move) {
        if (target !== source && move.type === "Ground") {
            if (!this.heal(target.baseMaxhp / 4)) {
                this.add("-immune", target, "[from] ability: Earth Eater");
            }
            return null;
        }
    },
    onStart(pokemon) {
        if (pokemon.side.removeSideCondition('spikes')) {
            this.add('-sideend', pokemon.side, 'Spikes', '[from] ability: Earth Eater', '[of] ' + pokemon);
        }
    },
    onDamage(damage, target, source, effect) {
        if (effect && effect.id === 'spikes') {
            this.add('-immune', target, "[from] ability: Earth Eater");
            return false;
        }
    },
    flags: { breakable: 1 },
    name: "Earth Eater",
    rating: 3.5,
    num: 297,
}
